---
title: Summaries of Experiments and Campaigns
slug: web-experimentation/api/summaries-of-experiments-and-campaigns
docTags: 
createdAt: 2026-10-02T13:15:18.296Z
---

{
  "id": "fQmsBMiHPg8HKo0tERM_C",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.optimizely.com/v2/experiment_summaries",
    "servers": [
      {
        "url": "https://api.optimizely.com/v2/experiment_summaries"
      }
    ],
    "name": "Summaries of Experiments and Campaigns",
    "description": "Summaries of Experiments and Campaigns in a Project",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "per_page",
          "type": "integer",
          "description": "Optional pagination argument that specifies the maximum number of objects to return per request",
          "default": 25,
          "maximum": 100
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer",
          "description": "Optional pagination argument that specifies the page to return. If you have 140 objects and you choose to return 100 objects per page you will be able to access the last 40 objects on page 2. The default value is 1.\n",
          "default": 1
        },
        {
          "kind": "optional",
          "name": "sort",
          "type": "string",
          "description": "The column to sort by.",
          "enum": [
            "name",
            "last_modified"
          ]
        },
        {
          "kind": "optional",
          "name": "order",
          "type": "string",
          "description": "The order to sort with.",
          "default": "asc",
          "enum": [
            "asc",
            "desc"
          ]
        },
        {
          "kind": "required",
          "name": "project_id",
          "type": "integer<int64>",
          "description": "Return Experiments and Campaigns for specified project.",
          "format": "int64"
        },
        {
          "kind": "optional",
          "name": "archived",
          "type": "boolean",
          "description": "Whether or not to include archived entities. If this parameter is not provided it will default to false and no archived entities will be included. Supersedes status filter.",
          "default": false
        },
        {
          "kind": "optional",
          "name": "status",
          "type": "string",
          "description": "Filters search results by the current status of the entity. Specifying multiple statuses will search for entities with ANY of those statuses.",
          "enum": [
            "running",
            "paused",
            "archived",
            "not_started"
          ]
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "apiKey",
          "kind": "optional",
          "type": "http",
          "scheme": "bearer"
        },
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "description": "<p>Write applications that authenticate with the REST API via OAuth 2.0. Or, to authenticate using a personal token, see <a href=\"https://docs.developers.optimizely.com/web/docs/personal-token\" target=\"_blank\">https://docs.developers.optimizely.com/web/docs/personal-token</a></p>",
          "oauth2Flows": {
            "authorizationCode": {
              "authorizationUrl": "https://app.optimizely.com/oauth2/authorize",
              "tokenUrl": "https://app.optimizely.com/oauth2/token",
              "scopes": {
                "all": "Full access to your account"
              }
            }
          },
          "requiredScopes": [
            "read",
            "write"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Return experiment summary results",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "ExperimentSummary[]",
            "schema": [
              {
                "name": "archived",
                "kind": "optional",
                "type": "boolean",
                "description": "Whether or not the entity is archived.",
                "example": "False"
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "The time that the entity was created.",
                "format": "date-time"
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "description": "Description for the entity if it has one.",
                "example": "Test out the hero image on the home page"
              },
              {
                "name": "experiment_type",
                "kind": "optional",
                "type": "string",
                "description": "The type of experiment",
                "example": "a/b"
              },
              {
                "name": "id",
                "kind": "optional",
                "type": "integer",
                "readOnly": true,
                "description": "ID of the entity"
              },
              {
                "name": "last_modified",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "The time that the entity was last modified.",
                "format": "date-time"
              },
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "description": "Name of the entity. This value will be the 'key' of the entity if there is no name.",
                "example": "Hero Image Test"
              },
              {
                "name": "project_id",
                "kind": "optional",
                "type": "integer",
                "description": "<p>ID of the project that contains the entity (if applicable)</p>"
              },
              {
                "name": "project_name",
                "kind": "optional",
                "type": "string",
                "description": "<p>Name of the project that contains the entity (if applicable)</p>"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "The current status for the entity if it has one.",
                "example": "running"
              },
              {
                "name": "type",
                "kind": "optional",
                "type": "string<experiment | campaign>",
                "description": "Type of the entity.",
                "example": "experiment",
                "enum": [
                  "experiment",
                  "campaign"
                ]
              }
            ],
            "modelRef": "#/components/schemas/ExperimentSummary",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Invalid credentials",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Error",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "messages",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": []
              },
              {
                "name": "uuid",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "",
                "format": "uuid"
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "You do not have permission to search the specified Account or Project",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Error",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "messages",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": []
              },
              {
                "name": "uuid",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "",
                "format": "uuid"
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "default",
        "description": "Unexpected error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Error",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "messages",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": []
              },
              {
                "name": "uuid",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "",
                "format": "uuid"
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "iCJbm22e7uKZz0-ObixHi",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.optimizely.com/v2/experiment_summaries?per_page=25&page=1&order=asc&project_id=integer%3Cint64%3E&archived=boolean' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "tnAIR48uy7Zz9Zxv_ygkG",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.optimizely.com/v2/experiment_summaries?per_page=25&page=1&order=asc&project_id=integer<int64>&archived=boolean\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "OfzEp1miW0i2OTfdICbwf",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.optimizely.com/v2/experiment_summaries?per_page=25&page=1&order=asc&project_id=integer<int64>&archived=boolean\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "n_dk753CCo6i1rMM6scHg",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.optimizely.com/v2/experiment_summaries?per_page=25&page=1&order=asc&project_id=integer<int64>&archived=boolean\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "iCJbm22e7uKZz0-ObixHi"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Return experiment summary results\n[\n  {\n    \"archived\": \"False\",\n    \"created\": \"\",\n    \"description\": \"Test out the hero image on the home page\",\n    \"experiment_type\": \"a/b\",\n    \"id\": 0,\n    \"last_modified\": \"\",\n    \"name\": \"Hero Image Test\",\n    \"project_id\": 0,\n    \"project_name\": \"\",\n    \"status\": \"running\",\n    \"type\": \"experiment\"\n  }\n]"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Invalid credentials\n{\n  \"code\": \"\",\n  \"message\": \"\",\n  \"messages\": {},\n  \"uuid\": \"\"\n}"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// You do not have permission to search the specified Account or Project\n{\n  \"code\": \"\",\n  \"message\": \"\",\n  \"messages\": {},\n  \"uuid\": \"\"\n}"
        },
        {
          "id": "response-3-default",
          "language": "default",
          "code": "// Unexpected error\n{\n  \"code\": \"\",\n  \"message\": \"\",\n  \"messages\": {},\n  \"uuid\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}